Name:           libbonobo
Version:        2.32.1
Release:        19
License:        GPLv2+ and LGPLv2+
Summary:        Bonobo component system
URL:            https://ftp.gnome.org
Source0:        https://download.gnome.org/sources/libbonobo/2.32/%{name}-%{version}.tar.bz2

BuildRequires:  libxml2-devel ORBit2-devel intltool automake autoconf libtool gtk-doc
BuildRequires:  flex bison zlib-devel popt-devel dbus-glib-devel gettext

Patch0:         libbonobo-multishlib.patch
Patch1:         libbonobo-2.32.1-srcdir-macro.patch
Patch2:         0001-Remove-use-of-G_DISABLE_DEPRECATED.patch

%description
Bonobo is a component system based on CORBA, used by the GNOME desktop.

%package        devel
Summary:        Libraries and headers for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       ORBit2-devel libxml2-devel popt-devel

%description    devel
The %{name}-devel package contains libraries and header files for %{name}.

%package_help

%prep
%setup -n %{name}-%{version}

%ifarch x86_64
%patch0 -p1 -b .multishlib
%endif

%patch1 -p0 -b .srcmacro
%patch2 -p1

autoreconf -i -f

%build
%configure --disable-gtk-doc

make

%install
%make_install

%delete_la

pushd $RPM_BUILD_ROOT
    rm .%{_bindir}/echo-client-2 .%{_libdir}/bonobo/monikers/*.*a .%{_bindir}/bonobo-slay
popd

for serverfile in $RPM_BUILD_ROOT%{_libdir}/bonobo/servers/*.server; do
    sed -i -e 's|location *= *"/usr/lib\(64\)*/|location="/usr/$LIB/|' $serverfile
done

mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib/bonobo/servers

%ldconfig_scriptlets

%files
%defattr(-,root,root)
%doc AUTHORS 
%license COPYING COPYING.LIB
%{_libdir}/*.so.*
%{_libdir}/bonobo
%{_libdir}/orbit-2.0/*.so*
%{_bindir}/*
%{_libexecdir}/*
%{_sbindir}/*
%{_datadir}/locale/*
%dir %{_prefix}/lib/bonobo/servers
%config %{_sysconfdir}/bonobo-activation/*
%exclude %{_libdir}/bonobo-2.0/samples/bonobo-echo-2
%exclude %{_prefix}/lib/bonobo-2.0/samples/bonobo-echo-2

%files          devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/orbit-2.0/*.a
%{_libdir}/pkgconfig/*
%{_includedir}/*
%{_datadir}/idl/*

%files          help
%defattr(-,root,root)
%doc NEWS README doc/NAMESPACE
%{_datadir}/gtk-doc/html/libbonobo
%{_datadir}/gtk-doc/html/bonobo-activation
%{_datadir}/man/man*/*

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.32.1-18
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license file

* Wed Oct 09 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.32.1-17
- Type:enhancement
- ID:NA
- SUG:NA
  DESC:add COPYING.LIB

* Thu Sep 05 2019 openEuler Buildteam <buildteam@openeuler.org> - 2.32.1-16
- Package init
